%define use_gitver 1
%{?_with_gitver: %global use_gitver 1}
%{?_without_gitver: %global use_gitver 0}

Name:               sshuttle
Version:            1.1.1
Release:            %mkrel 2
Summary:            Transparent Proxy VPN
Group:              Networking/Remote access
License:            LGPLv2+
URL:                https://github.com/sshuttle/sshuttle
Source0:            https://pypi.python.org/packages/source/s/sshuttle/sshuttle-%{version}.tar.gz
BuildArch:          noarch

BuildRequires:      texinfo
BuildRequires:      python3-devel
BuildRequires:      python3-pytest-runner
BuildRequires:      python3-sphinx
BuildRequires:      python3-markdown

Requires:           iptables
Requires:           openssh-clients

%description
Transparent proxy server that works as a poor man's VPN. Forwards over ssh.
Doesn't require admin. Works with Linux and MacOS. Supports DNS tunneling.

%prep
%setup -q

%generate_buildrequires
%pyproject_buildrequires

%build
%if %{use_gitver}
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%endif

%pyproject_wheel

pushd docs
make man SPHINXBUILD=%{_bindir}/sphinx-build-3
make info SPHINXBUILD=%{_bindir}/sphinx-build-3

%install
%if %{use_gitver}
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%endif

%pyproject_install
%pyproject_save_files sshuttle

pushd docs
mkdir -p %{buildroot}/%{_mandir}/man1
install -m 644 _build/man/sshuttle.1 %{buildroot}/%{_mandir}/man1
mkdir -p %{buildroot}/%{_infodir}
install -m 644 _build/texinfo/sshuttle.info %{buildroot}/%{_infodir}
popd

%files -f %{pyproject_files}
%doc LICENSE README.rst
%{_mandir}/man1/sshuttle.1*
%{_infodir}/sshuttle.info.*
%{_bindir}/sshuttle


%changelog
* Fri Jan 12 2024 papoteur <papoteur> 1.1.1-2.mga10
+ Revision: 2030474
- rebuild for python 3.12

* Mon Sep 26 2022 ghibo <ghibo> 1.1.1-1.mga9
+ Revision: 1892524
- Fix file list
- Update to release 1.1.1

* Sun Mar 13 2022 ghibo <ghibo> 1.1.0-1.mga9
+ Revision: 1790837
- Update to release 1.1.0

* Mon Feb 14 2022 tmb <tmb> 1.0.5-3.mga9
+ Revision: 1774943
- rebuild for python 3.10

* Wed Mar 24 2021 tv <tv> 1.0.5-2.mga9
+ Revision: 1708763
- rebuild for python 3.9

* Sat Jan 02 2021 ghibo <ghibo> 1.0.5-1.mga8
+ Revision: 1668354
- Update to release 1.0.5

* Sun Sep 13 2020 ghibo <ghibo> 1.0.4-1.mga8
+ Revision: 1625479
- Update to release 1.0.4

* Sun Feb 16 2020 umeabot <umeabot> 0.78.5-3.mga8
+ Revision: 1533965
- Mageia 8 Mass Rebuild

* Wed Sep 25 2019 daviddavid <daviddavid> 0.78.5-2.mga8
+ Revision: 1445969
- rebuild for python3.8

* Wed Feb 27 2019 daviddavid <daviddavid> 0.78.5-1.mga7
+ Revision: 1370330
- new version: 0.78.5

* Thu Jan 10 2019 daviddavid <daviddavid> 0.78.4-3.mga7
+ Revision: 1354102
- rebuild for new Python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 0.78.4-2.mga7
+ Revision: 1291709
- Mageia 7 Mass Rebuild

* Sun Aug 19 2018 daviddavid <daviddavid> 0.78.4-1.mga7
+ Revision: 1252813
- new version: 0.78.4

* Tue Dec 26 2017 ghibo <ghibo> 0.78.3-2.mga7
+ Revision: 1185482
- Fix man building with python3-sphinx
- Fix building against python3
- Refix BuildRequires
- Add support for python2/python3.
- Fix BuildRequires.
- Initial MGA release
- imported package sshuttle


* Sat Dec 23 2017 ghibo <ghibo@mageia.org> 0.78.3-0.mga6
- Release 0.78.3.
- Initial release inspired by FC26 spec file.
